import { Registry } from 'vscode/vscode/vs/platform/registry/common/platform';
import { Extensions, registerWorkbenchContribution2 } from 'vscode/vscode/vs/workbench/common/contributions';
import { UserDataProfilesWorkbenchContribution } from './userDataProfile.js';
import './userDataProfileActions.js';
import { UserDataProfilePreviewContribution } from './userDataProfilePreview.js';

const workbenchRegistry = ( Registry.as(Extensions.Workbench));
registerWorkbenchContribution2(UserDataProfilesWorkbenchContribution.ID, UserDataProfilesWorkbenchContribution, 2 );
workbenchRegistry.registerWorkbenchContribution(UserDataProfilePreviewContribution, 3 );
